# GSAP animations

If you want to use GSAP animations you can load them (scrollTrigger and gsap core) with codeblock:

```php
<?php
wp_enqueue_script('brt-gsap');
wp_enqueue_script('brt-scroll-trigger');
?>
```

Additionally if you want to split text similarly as GSAP Split text, we have included an open source alternative:

{% embed url="<https://github.com/lukePeavey/SplitType/tree/master>" %}

Load files like this:

```php
<?php
wp_enqueue_script('brt-split-type');
?>
```

See it in action here: <https://source.brickstheme.com/homepage-8-portfolio/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brickstheme.com/advanced/gsap-animations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
